%define	name	qcomicbook
%define	version	0.2.6
%define	release	1.2006mcnl
%define summary QComicBook is a viewer for comic book archives
%define group	File tools

Name:		%{name} 
Summary:	%{summary}
Version:	%{version} 
Release:	%{release} 
Source0:	%{name}-%{version}.tar.gz
URL:		http://linux.bydg.org/~yogin/
Group:		%{group}
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
License:	GPL
Packager:	Steffen Van Roosbroeck <dansmug.NOSPAM@mandrivaclub.nl>
Vendor:		Mandrivaclub.nl
BuildRequires:	libqt-devel

%description
QComicBook is a viewer for comic book archives containing
jpeg/png images. It aims at convenience and simplicity.

Features include:
- Automatic decompression
- Full screen mode
- Page scaling
- Page preloading and caching
- Mouse or keyboard navigation

%prep
%setup -q

%build
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_iconsdir}
mkdir -p $RPM_BUILD_ROOT%{_menudir}

cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):command="%{_bindir}/qcomicbook" \
                icon="qcomicbook.png" \
                needs="x11" \
                section="Multimedia/Graphics" \
                title="QComicBook" \
                longtitle="QComicBook - a viewer for comic book archives"
EOF
%makeinstall

#icons
%define  nameicon icons/%{name}.png

mkdir -p %{buildroot}{%_liconsdir,%_iconsdir,%_miconsdir}
convert -scale 48x48 %{nameicon} %{buildroot}/%{_liconsdir}/%{name}.png
convert -scale 32x32 %{nameicon} %{buildroot}/%{_iconsdir}/%{name}.png
convert -scale 16x16 %{nameicon} %{buildroot}/%{_miconsdir}/%{name}.png

%post
%{update_menus}

%postun
%{clean_menus}

%clean 
rm -rf $RPM_BUILD_ROOT 

%files 
%defattr(-,root,root)
%doc AUTHORS README ChangeLog THANKS TODO
%{_liconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_bindir}/*
%{_mandir}/man?/*
%{_datadir}/%{name}/*
%{_menudir}/*

%changelog
* Wed Dec 28 2005 Steffen Van Roosbroeck <dansmug.NOSPAM@mandrivaclub.nl> 0.2.6-1.2006mcnl
- 0.2.6

* Mon Nov 14 2005 Steffen Van Roosbroeck <dansmug.NOSPAM@mandrivaclub.nl> 0.2.5-1.2006mcnl
- 0.2.5

* Wed Aug 03 2005 Steffen Van Roosbroeck <dansmug@mandrakeclub.nl> 0.2.4-1.102mcnl
- 0.2.4

* Mon Jun 20 2005 Steffen Van Roosbroeck <dansmug@mandrakeclub.nl> 0.2.2-1.102mcnl
- 0.2.2

* Sun May 15 2005 Steffen Van Roosbroeck <dansmug@mandrakeclub.nl> 0.2.1-1.102mcnl
- New version 0.2.1

* Tue May 10 2005 Steffen Van Roosbroeck <dansmug@mandrakeclub.nl> 0.2.0-1.102mcnl
- New version 0.2.0

* Fri May 06 2005 Steffen Van Roosbroeck <dansmug@mandrakeclub.nl> 0.1.9-1.102mcnl
- New version 0.1.9

* Sun Apr 24 2005 Steffen Van Roosbroeck <dansmug@mandrakeclub.nl> 0.1.8-1.102mcnl
- New version 0.1.8
 
* Thu Apr 07 2005 Eskild Hustvedt <eskild@mandrake.org> 0.1.7-1mdk
- New version 0.1.7

* Mon Mar 28 2005 Eskild Hustvedt <eskild@mandrake.org> 0.1.5-2mdk
- %%mkrel

* Wed Mar 09 2005  Eskild Hustvedt <eskild@mandrake.com> 0.1.5-1mdk
- Initial Mandrakelinux package
